Table of Contents

## Name

mkhtmlindex - generate index files for HTML man pages

## Synopsis

mkhtmlindex htmlmandir

## Description

The mkhtmlindex program generates index files for a directory of HTML-formatted manual pages. It searches for files whose names are of the form lqname.1.htmlrq, and outputs index files lqmanindex1.htmlrq, lqmanindex.2.htmlrq, and so on, one for each manual volume. Empty index files will be removed. Names and descriptions are found by scanning the first <H2> section of each page.

## Options

mkhtmlindex takes only one argument: the directory to process.

## Notes

This utility is currently rather specific to XFree86. In particular, the format of the index files it outputs is not configurable, nor is the HTML formatting it expects of manual pages.

## Author

David Dawes wrote the mkhtmlindex program for XFree86.

Colin Watson wrote this manual page, originally for the Debian Project.

Table of Contents

- Name
- Synopsis
- Description
- Options
- Notes
- Author